package cn.superdesk.uniorder.service.sys.role;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.role.SysRoleExtData;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description: 角色定义-扩展-数据权限角色
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-08-26 14:15:28
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-08-26 14:15:28
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface SysRoleExtDataService extends BaseService<SysRoleExtData> {


    /****************************************** extends BaseService 部分 start ******************************************/

    int insertSelective(SysRoleExtData entity);

    int updateByPrimaryKeySelective(SysRoleExtData entity);

    @Deprecated
    void deleteObj(Long id);

    @Deprecated
    SysRoleExtData findById(Long id);

    @Deprecated
    PageInfo<SysRoleExtData> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<SysRoleExtData> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end ******************************************/


    void addSysRoleExtData(SysRoleExtData entity);

    void updateSysRoleExtData(SysRoleExtData entity);

    void deleteSysRoleExtData(Long id);

    SysRoleExtData findSysRoleExtDataById(Long id);

    R<List<SysRoleExtData>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);


}